Bug 1025218 - Can not create scalable application with environment variable added
Can not create scalable application with environment variable added
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rajat Chopra
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 05:31 EDT by Qiushui Zhang
Modified: 2015-05-14 20:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-26 14:08:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
broker and node log (244.40 KB, application/x-gzip)
2013-10-31 05:31 EDT, Qiushui Zhang
no flags Details

  None (edit)
Description Qiushui Zhang 2013-10-31 05:31:14 EDT
Created attachment 817775 [details]
broker and node log

Description of problem:
Try to create an scalable application with environment variable.
rhc app create ews jbossews-1.0 -s -e KKK=VVV
It will fail with error "Cartridge 'jbossews-1.0' not found."

Version-Release number of selected component (if applicable):
devenv_3973
INT(devenv_3971)

How reproducible:
always

Steps to Reproduce:
1. Try to create an scalable application with environment variable
rhc app create ews jbossews-1.0 -s -e KKK=VVV
2.
3.

Actual results:
It fails with error message, saying "Cartridge 'jbossews-1.0' not found."

Expected results:
Application is created successfully.

Additional info:
1. It only happens for scalable application with environment variables.
It does not happen to non-scalable application or without environment variables
2. I have tried several cartridges, such as php. All of them have the same problem.
Comment 1 Qiushui Zhang 2013-10-31 05:34:58 EDT
The rhc used is built from devenv_3973 "rhc-1.16.6.gem"
Comment 2 Clayton Coleman 2013-10-31 10:27:00 EDT
Here's what we POST to the broker's create application call:

{"name":"ews","scale":true,"environment_variables":[{"name":"KKK","value":"VVV"}],"cartridges":["jbossews-1.0"]}

This looks valid to me.
Comment 3 Abhishek Gupta 2013-10-31 13:53:23 EDT
Fixed with --> https://github.com/openshift/origin-server/pull/4064
Comment 5 Qiushui Zhang 2013-10-31 23:34:47 EDT
Tested on both devenv_stage_546 and devenv_3979.

[openshift@dhcp-10-143 tmp]$ rhc app create ews jbossews-1.0 -s -e KKK=VVV
Application Options
-------------------
  Domain:                qiuzhang
  Cartridges:            jbossews-1.0
  Gear Size:             default
  Scaling:               yes
  Environment Variables: KKK=VVV

Creating application 'ews' ... done


Waiting for your DNS name to be available ... done

Cloning into 'ews'...
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@       WARNING: POSSIBLE DNS SPOOFING DETECTED!          @
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
The RSA host key for ews-qiuzhang.dev.rhcloud.com has changed,
and the key for the corresponding IP address 54.224.34.196
is unchanged. This could either mean that
DNS SPOOFING is happening or the IP address for the host
and its host key have changed at the same time.
Offending key for IP in /home/openshift/.ssh/known_hosts:243
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@    WARNING: REMOTE HOST IDENTIFICATION HAS CHANGED!     @
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
IT IS POSSIBLE THAT SOMEONE IS DOING SOMETHING NASTY!
Someone could be eavesdropping on you right now (man-in-the-middle attack)!
It is also possible that a host key has just been changed.
The fingerprint for the RSA key sent by the remote host is
0b:9d:8d:1e:a5:30:cc:6c:9c:39:80:0f:51:34:cf:a5.
Please contact your system administrator.
Add correct host key in /home/openshift/.ssh/known_hosts to get rid of this message.
Offending RSA key in /home/openshift/.ssh/known_hosts:240
Password authentication is disabled to avoid man-in-the-middle attacks.
Keyboard-interactive authentication is disabled to avoid man-in-the-middle attacks.

Your application 'ews' is now available.

  URL:        http://ews-qiuzhang.dev.rhcloud.com/
  SSH to:     527320940da6578e51000004@ews-qiuzhang.dev.rhcloud.com
  Git remote: ssh://527320940da6578e51000004@ews-qiuzhang.dev.rhcloud.com/~/git/ews.git/
  Cloned to:  /home/openshift/tmp/ews

Run 'rhc show-app ews' for more details about your app.
[openshift@dhcp-10-143 tmp]$ rhc app show ews
ews @ http://ews-qiuzhang.dev.rhcloud.com/ (uuid: 527320940da6578e51000004)
---------------------------------------------------------------------------
  Domain:     qiuzhang
  Created:    11:31 AM
  Gears:      1 (defaults to small)
  Git URL:    ssh://527320940da6578e51000004@ews-qiuzhang.dev.rhcloud.com/~/git/ews.git/
  SSH:        527320940da6578e51000004@ews-qiuzhang.dev.rhcloud.com
  Deployment: auto (on git push)

  jbossews-1.0 (Tomcat 6 (JBoss EWS 1.0))
  ---------------------------------------
    Scaling: x1 (minimum: 1, maximum: available) on small gears

  haproxy-1.4 (Web Load Balancer)
  -------------------------------
    Gears: Located with jbossews-1.0
[openshift@dhcp-10-143 tmp]$ rhc env list -a ews
KKK=VVV


Mark the bug as verified.

Note You need to log in before you can comment on or make changes to this bug.